package mschmidt.komo;
/*
 * Custom action that initializes the database backup operation.
 */

import mschmidt.komo.datatools.BackupWizard;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.wizard.WizardDialog;
import org.eclipse.ui.IWorkbenchWindow;
import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;

public class DbBackupAction extends Action implements IWorkbenchAction {
	
	// Initialize variables for this action.
	private IWorkbenchWindow thisWindow;

	public final static String ACTION_ID = "mschmidt.komo.DbBackupAction";

	/*
	 * Create the action and set appearance variables.
	 */
	public DbBackupAction(final IWorkbenchWindow window) {
		thisWindow = window;
		setId(ACTION_ID);
		setText("Backup Database");
		setToolTipText("Back up database to an archive file");
		setImageDescriptor(KomoPlugin
				.getImageDescriptor(ApplicationImages.DB_BACKUP_ICON));
	}

	public final void run() {
		if (thisWindow != null) {
			BackupWizard wizard = new BackupWizard();
			WizardDialog dialog = new WizardDialog(thisWindow.getShell(),
					wizard);
			dialog.create();
			dialog.open();
			if (wizard != null) {
				wizard.dispose();
			}
		}
	}

	public void dispose() {
	}
}
